Proposal: Outreachy round 15: Improve Programs & Events Dashboard support for Art+Feminism 2018
Open, Needs TriagePublic

Description

Profile Information

Name: Maudite (Candela)
IRC nickname on Freenode: maudite
Web Profile: github.com/mauditecandela and maudite.cc
Resume (optional)
Location (country or state): Berlin
Typical working hours (include your timezone): 9:00 - 18:00 (UTC+2) // Of course I am open to flexible hours in order to improve the communication with the mentors.

Synopsis

Programs & Events Dashboard (code) is a Ruby on Rails app with a React.js frontend. Its main purpose is to help organize and track group editing projects on Wikipedia and other wikis. It was initially designed to support the Wikipedia Education Program on English Wikipedia, in which university students write Wikipedia articles in the classes, but is gradually being extended to support other use cases such as edit-a-thons, and to work better for other languages and projects.

After reading the Dashboard Report feedback, I did some analysis on the main needs of the current version of it and we could divide in three main topics: 1) Improve organizers’ work 2) Better onboarding of editors and 3) Enable the integration of other software (databases difficult to maintain).

As the main goal of the Art+Feminism program is to increase the visibility of women and art on wikipedia, and the organization is already migrated to the dashboard as users, I have decided to concentrate in the first two topics.

First I would like to get in touch with the Art+Feminism organizers in order to get their feedback on my specific ideas and understand better the problems that they might have. The main topics I would like to discuss are:

  • Visibility of events: How to improve their sorting, and how to keep their list clean (enable users to delete duplicated events or change the titles, add specific campaigns by default…)
  • Facilitate the onboarding of editors e.g. by creating short urls
  • UX related to dates: time zones, start/end dates not working as expected…
  • Improve editors’ onboarding: clarify or make the two steps process easier (oAuth)
  • Disable the enroll link for specific times in order to avoid misunderstandings

After discussing these ideas, I would like to do some investigation of the technical difficulty of each of them and write the different tasks/stories on Phabricator/Github. I will also discuss them with my mentors for a proper estimation and prioritization. After this work I would like to work on the first solutions in two rounds, in order to get some feedback from the A+F organizers in the middle of the project. After the final proposal, I would like to write technical documentation.
This way, the Programs and Events Dashboard will not only be improved by specific features but also by some user research and stories definitions that could also be tackled by other contributors in case there is work left to do. This will improve the documentation of the project.

Possible Mentor(s):

Ragesoss and Capt_swing

Have you contacted your mentors already?

Yes.

Deliverables

Timeline:

5.12 - 15.12: Contact and feedback from Art+Feminism Organizers. Technical investigation for the different features: Login auth, start/end date, event sorting, user rights, campaign and templates management, shortlink creation, enroll link capabilities.
18.12 - 22.12 Feedback with mentors. Prioritization, list of tasks, estimations. Definition of specific outcome.
27.12 - 12.01 - Code and testing.
15.01 - 19.01 - Fix of bugs and testing.
22.01 - 26.01 - Feedback round with Art+Feminism. User testing. Possible improvements.
29.01 - 16.02 - Code period after feedback.
19.02 - 23.02 - Second round of feedback.
26.02 - 05.03 - Documentation* and publishing. Communication of the improvements.

*I consider documentation a daily work, so I plan to do it at the same time I am coding. Anyway, I would like to allocate some time just in case the documentation needs some readjustments.

Participation

  • I have already forked the repo and have worked on my branch, but will also create new branches for the different stories. I will use clear messages on the commits and specify in each Pull Request what is going to be merged.
  • The code will be periodically pushed and published then.
  • I will be reachable on Slack and IRC on my working ours (09:00-18:00 UTM+2).
  • I will be reachable via email for any kind of emergency or problem.
  • I will document the whole process and the code being written.

About Me

Education:

Completed Formal Education:
BA in Advertising and Publicity (Universidad Complutense of Madrid, 2004). Major: Publicity
MA in Audiovisual Communication (Universidad Complutense of Madrid, 2009). Major: Cinema
MA in Cultural Management (Universidad Carlos III of Madrid, 2011). Major: Cultural Management
Incompleted Formal Education and Others:
I started two BA in both Informational Sciences (Universidad Carlos III of Madrid, 2011) and Computer Sciences (UNED, 2015). I had to leave their programs due to economic reasons. Therefore, during the last 5 and a half years of full time employment I also finished other complementary education in programming, like for example the Complete JavaScript Course at Udemy or the CodeAcademy Ruby on Rails curriculum. I am also committed to local groups like RubyMonstas or Rails Girls and recently attended to my first conference, Euruko, thanks to one of their diversity tickets.

How did you hear about this program?

Through a friend! She is also developer that was part of the Rails Summer of Code of 2016 and said that Outreachy could be a great initiative to improve my skills and work in great FOSS projects.

Will you have any other time commitments, such as school work, another job, planned vacation, etc, during the duration of the program?

I have not other commitments. I would like to spend time with my family from 24th of December till the 1st of January but I am flexible.

We advise all candidates eligible for Google Summer of Code and Outreachy to apply for both programs. Are you planning to apply to both programs and, if so, with what organization(s)?

There’s no Summer of Code right now. I will possibly apply for the next one in March.

What does making this project happen mean to you?

I strongly believe in Creative Commons and Free Culture, so working for Wikimedia is a dream. My first contact with Wikimedia has already taught me a lot and I am very happy of having contributed to the project. To start with, the Sageross is an incredible mentor, who is always reachable and has the patience and the passion to explain me the base code and expected behaviours.

I believe FOSS should be more present in educational programs, and that’s why I think Wikimedia is a very important project. Furthermore, I have been committed to different feminist activism groups in the past 10 years and I think that Art+Feminism Program is a wonderful initiative to improve the visibility of feminism in art. I really think that having references and role models is fundamental for empowerment, so giving more visibility to women in wikipedia will inspire a lot of women and girls in the world. According to Patricia Horrillo - independent journalist and edit-a-thons organizer - less that 17% of the biographies in Wikipedia are about Women. Wikipedia is already one of the main sources of knowledge and to be present in it would be clue to be remembered in the future.

From a technological perspective, I have been learning Rails and Javascript in the past five months, so I believe that working on this project will help me improving my knowledge on them and also get to learn React. Working with Wikimedia will enable me to have direct access to mentorship and do my first contributions to big FOSS Projects.

Past Experience

In 2011, I was part of the team of LABoral Centro de Arte in Gijón, Spain. I worked as technical assistant of the production center and there I got in contact with a lot of open source projects (not only software, also hardware), specially related to art. I would mention two specific projects which I enjoyed a lot: I helped organizing Summerlab of 2011 (http://www.laboralcentrodearte.org/en/education/summerlab-2011) and supported TVLab (http://tvlab.laboralcentrodearte.org/) with their educational programs. This is where my interest in Open Source started.

In 2015 I was one of the main collaborators and contributors of http://www.fabcollective.org/, an online platform for personal and small-scale digital fabrication which aims to connect people, projects and needs, based on the principles of collaborative creation and commons. The biggest two learnings from that experience were creating an automatic watering system with Arduino and building the website in Drupal.

Currently I am part of Rubymonstas, a study group based in Berlin who is working on improving diversitytickets.org, an open source tool that aims to help the access to tech to women and other underrepresented groups in the IT field. Currently I am part of their learnings group and would like to start contributing to the code in the next months.

In my free time I also helped some local artists to create their own websites by setting up their Wordpress Website and helping them on how to design it and maintain it. (www.elenacuadrado.com, www.leyrearin.com, e.g. )

I am of course also a FOSS user, not only in my computer but also in my smartphone (Fairphone). I would say that my favourite FOSS tool is Git. I think it has an extreme power on helping back the FOSS community, as it enables creating distributed systems that by definition are the foundation of any Open Source project.

The small contributions for the Art+Feminism program I already did are:

Any Other Info

I would like to blog about my contributions during the Outreachy Scholarship in http://blog.maudite.cc/
I also already blogged about my initial contributions: http://blog.maudite.cc/my-first-contribution-to-foss-free-open-source-software

Maudite created this task.Oct 5 2017, 3:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2017, 3:26 PM

@Ragesoss I started working on my proposal for the Outreachy Program and I would really appreciate some feedback from Mentors. I don't know if you are the right person to ask, if not, please let me know and refer me to that person. Regarding this proposal, I have some doubts:

  1. The project: I saw that the Art+Feminism Organisers have already a list of things that they would like to see improved in the dashboard, so I based this proposal on them. I don't know if I should already pick one of them and work on a feature/project for that problem or follow the steps as I wrote down in here. What do you think?
  2. Timeline: Do you think is accurate enough? Or do I need to add more specific information there?
  3. Any other suggestion or feedback?

Thanks a lot!!!!

@Maudite this looks like a strong plan. I think keeping it general, rather than planning beforehand for specific issues to tackle, is going to be the best route. Similarly, that timeline looks reasonable.

Maudite updated the task description. (Show Details)Oct 5 2017, 6:29 PM
Maudite updated the task description. (Show Details)Oct 12 2017, 5:29 AM
Maudite updated the task description. (Show Details)Oct 12 2017, 1:17 PM
Maudite updated the task description. (Show Details)
Maudite updated the task description. (Show Details)Oct 12 2017, 2:53 PM
Maudite updated the task description. (Show Details)
Maudite updated the task description. (Show Details)Oct 12 2017, 3:31 PM
Maudite updated the task description. (Show Details)Oct 12 2017, 4:29 PM
Maudite updated the task description. (Show Details)Oct 13 2017, 1:05 PM
Maudite updated the task description. (Show Details)Oct 13 2017, 1:08 PM

Hi @Ragesoss as you can see I have updated a bit my application here. Please let me know if you consider I should add/change something. Thanks a lot in advance!

Maudite updated the task description. (Show Details)Oct 14 2017, 5:06 PM
Maudite updated the task description. (Show Details)Oct 15 2017, 6:20 PM

@Maudite thanks so much. This is very good.

Maudite updated the task description. (Show Details)Oct 17 2017, 2:29 PM
Maudite updated the task description. (Show Details)
Maudite updated the task description. (Show Details)
Maudite updated the task description. (Show Details)Oct 18 2017, 1:40 PM
Maudite updated the task description. (Show Details)
Maudite updated the task description. (Show Details)Oct 19 2017, 12:18 PM
Maudite updated the task description. (Show Details)
Maudite updated the task description. (Show Details)Oct 19 2017, 12:21 PM
Maudite updated the task description. (Show Details)Oct 19 2017, 6:19 PM
Maudite updated the task description. (Show Details)Oct 20 2017, 4:15 PM
Maudite updated the task description. (Show Details)Oct 20 2017, 4:21 PM
Maudite updated the task description. (Show Details)Oct 22 2017, 6:34 PM
Maudite updated the task description. (Show Details)Oct 22 2017, 7:29 PM